/*
 * Copyright (C) 2005-2013 Schlichtherle IT Services.
 * All rights reserved. Use is subject to license terms.
 */
package net.java.truelicense.core.auth;

import java.beans.XMLDecoder;
import net.java.truelicense.core.codec.XmlCodec;

/**
 * A generic repository which uses an {@link XmlCodec}.
 *
 * @author Christian Schlichtherle
 */
public final class XmlRepository extends GenericRepository {

    /** @deprecated This constructor is reserved for {@link XMLDecoder}. */
    @Deprecated
    public XmlRepository() { this(new XmlCodec()); }

    /**
     * Constructs an XML repository.
     *
     * @param codec the XML codec for the artifact.
     */
    public XmlRepository(XmlCodec codec) { super(codec); }
}
